### Name: measures
### Title: Calculating additional Interest Measures for existing
###   Associations
### Aliases: all_confidence all_confidence,itemsets-method hyperlift
###   hyperlift,rules-method
### Keywords: methods models

### ** Examples

data("Income_transactions")

### calculate all-confidence
itemsets <- apriori(Income_transactions, parameter = list(target = "freq")) 
quality(itemsets) <- cbind(quality(itemsets), 
        all_confonfidence = all_confidence(itemsets))
summary(itemsets)

### calculate hyperlift for the 0.9 quantile
rules <- apriori(Income_transactions)
quality(rules) <- cbind(quality(rules), 
        hyperlift = hyperlift(rules, Income_transactions, d = 0.9))
inspect(SORT(rules, by = "hyperlift")[1:5])




